Bug 22986 - new version of java-1.8.0-openjfx
Summary: new version of java-1.8.0-openjfx
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: has_procedure MGA6-32-OK MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-05-03 16:13 CEST by Nicolas Salguero
Modified: 2018-05-24 18:31 CEST (History)
3 users (show)

See Also:
Source RPM: java-1.8.0-openjfx
CVE:
Status comment:


Attachments

Description Nicolas Salguero 2018-05-03 16:13:43 CEST
Hi,

There is a new version of openjfx which come in sync with openjdk.

Best regards,

Nico.
Comment 1 Nicolas Salguero 2018-05-03 16:17:14 CEST
Suggested advisory:
========================

The updated package is synched with java-1.8.0-openjdk-1.8.0.171-1.b10.1.mga6.

========================

Package in core/updates_testing:
========================
java-1.8.0-openjfx-1.8.0.171-1.b11.2.mga6

from SRPM:
java-1.8.0-openjfx-1.8.0.171-1.b11.2.mga6.src.rpm

The test procedure is in bug 20220, comment 3.

Assignee: bugsquad => qa-bugs
Status: NEW => ASSIGNED
Whiteboard: (none) => has_procedure
Source RPM: (none) => java-1.8.0-openjfx

Comment 2 José Jorge 2018-05-13 09:15:01 CEST
Any hint on how to test it?

CC: (none) => lists.jjorge

Comment 3 Nicolas Salguero 2018-05-14 12:00:08 CEST
(In reply to José Jorge from comment #2)
> Any hint on how to test it?

The test procedure is in bug 20220, comment 3.
Comment 4 Herman Viaene 2018-05-22 11:37:46 CEST
MGA6-32 on IBM Thinkpad R50e Xfce
No installation issues.
Helloworld works perfectly.

CC: (none) => herman.viaene
Whiteboard: has_procedure => has_procedure MGA6-32-OK

Lewis Smith 2018-05-23 10:05:02 CEST

Keywords: (none) => advisory

Comment 5 Lewis Smith 2018-05-24 16:41:38 CEST
Testing M6 x64

I was unable to install the current issued package
 java-1.8.0-openjfx-1.8.0.161-1.b12.1.mga6
because it depends on (unspecified) pkgs older than what I have installed.
So installed directly from Updates Testing the new pkg:
 java-1.8.0-openjfx-1.8.0.171-1.b11.2.mga6
and did Brian's nice little Java test:
 https://bugs.mageia.org/attachment.cgi?id=8994

$ javac helloworld.java
$ java helloworld
 Hello World!
 Hello World!
etc each time you click the pop-up button. Following Herman: update OK.

Keywords: (none) => validated_update
Whiteboard: has_procedure MGA6-32-OK => has_procedure MGA6-32-OK MGA6-64-OK
CC: (none) => sysadmin-bugs

Comment 6 Mageia Robot 2018-05-24 18:31:28 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0095.html

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.